package com.rjconsultores.ventaboletos.web.gui.controladores.configuracioneccomerciales;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.constantes.Constantes;
import com.rjconsultores.ventaboletos.entidad.FechamentoParamptovta;

public class FechamentoParamptovtaListItemRenderer implements ListitemRenderer {

	@Override
	public void render(Listitem listItem, Object arg1) throws Exception {
		
		FechamentoParamptovta params = (FechamentoParamptovta)arg1;
		
//		private Empresa empresa;
		Listcell empresaCell =  new Listcell(params.getEmpresa().getNombempresa());
		empresaCell.setParent(listItem);

//		private Integer intervalofechamento;
		
		String intervaloFechamentoStr = getIntervaloFechamentoStr(params.getIntervalofechamento());
		
		Listcell intervalofechamento =  new Listcell(intervaloFechamentoStr);
		intervalofechamento.setParent(listItem);

		Listcell diasemtransito =  new Listcell(params.getDiasemtransito() != null ? params.getDiasemtransito().toString() : "");
		diasemtransito.setParent(listItem);
		
		listItem.setAttribute("data", params);
	}

	private String getIntervaloFechamentoStr(Integer intervaloFechamento){
		
		String intervaloFechamentoStr = "";
		
		if(Constantes.INTERVALO_FECHAMENTO_SEMANAL == intervaloFechamento){
			intervaloFechamentoStr = String.format("Semanal(%s dias)", intervaloFechamento);			
			
		} else if(Constantes.INTERVALO_FECHAMENTO_DECENDIAL == intervaloFechamento){
			intervaloFechamentoStr = String.format("Decendial(%s dias)", intervaloFechamento);
			
		} else if(Constantes.INTERVALO_FECHAMENTO_QUINZENAL == intervaloFechamento){
			intervaloFechamentoStr = String.format("Quinzenal(%s dias)", intervaloFechamento);
			
		} else if(Constantes.INTERVALO_FECHAMENTO_MENSAL == intervaloFechamento){
			intervaloFechamentoStr = "Mensal";
			
		} else {
			intervaloFechamentoStr = intervaloFechamento.toString();
		}
		
		return intervaloFechamentoStr; 
	}
	
}
